 subroutine calc_obj(x, obj, succ)
    use parameters_model
    implicit none

	real(8), dimension(n), intent(in) :: x
    real(8), intent(out) :: obj
    logical, intent(out) :: succ
    real(8) :: x1(n1), x2(n2), x3(n3)
    real(8) :: o1, o2, o3
    integer(4) :: j
        
    ! ======================================================================================
    ! construct primitives from the economy--independent of equilibrium outcomes
    ! -----------------------------------------------------------------------------------
    call xallto123(x, x1, x2, x3)
    
    call calc_obj1(x1, o1, succ)
    call calc_obj2(x2, o2)
    call calc_obj3(x3, o3)
    obj = o1 + o2 + o3
    
    if(toprint) then
        print *, 'obj 123', o1, o2, o3
        print *, 'obj total', obj
    end if
    
end subroutine calc_obj


