pause on
global alpha = 0.3
global sigma = 5.
global markup = $sigma/($sigma-1)

* 1. Elastic labor, derivatives of price and chi
* -----------------------------------------------------------------
do crmccounter Amc_counter 3     /* linear combination of all changes*/
do crmccounter Bmc_counter 3     /* changes in foreign prices only */
* do crmccounter Cmc_counter 3     /* changes in foreign demand only */

* 2. Inelastic labor, derivatives of price and chi
* -----------------------------------------------------------------
do crmccounter Amci_counter 3     /* linear combination of all changes*/

exit
