
use `1', clear

* adjust quality to add up to 1
capture drop tempo
egen tempo = sum(nq0)
replace nq0 = nq0/tempo
drop tempo
egen tempo = sum(nq0)
assert tempo> 0.999999 & tempo < 1.00001
drop tempo
egen tempo = sum(nq1)
replace nq1 = nq1/tempo
drop tempo
egen tempo = sum(nq1)
assert tempo> 0.999999 & tempo < 1.00001
drop tempo

scatter nq0 nq1 quality, msize(small) msymbol(O t) || line skillq quality, yaxis(2)
pause

*scatter nq0 nq1 quality, msize(small) msymbol(O t) 
*pause

* cummulative mass of firms
sort quality
gen cnq0 = sum(nq0)
replace cnq0 = cnq0/cnq0[_N]
gen cnq1 = sum(nq1)
replace cnq1 = cnq1/cnq1[_N]
list quality cnq0 cnq1



exit
