	cap log close

	log using "building external databases\logs\IPPM_(`c(current_date)').log", replace

	import excel "building external databases\1.1.2.IPP_Total según actividad económica IQY.xlsx", cellrange(A10:E550) firstrow clear

	keep AoaaaaMesmm Industriamanufacturera

	rename Industriamanufacturera ipp

	gen year = substr(AoaaaaMesmm,1,4)
	gen month = substr(AoaaaaMesmm,-2,2)

	drop AoaaaaMesmm

	keep if month=="12"
	drop month

	destring year, replace

	gen ipp_round = round(ipp,0.01)
	gen ipp_09_tilde = ipp_round if year==2009
	egen ipp_b09 = mean(ipp_09_tilde)
	gen ipp_09 = ipp_round/ipp_b09

	keep year ippm_09
	keep if inrange(year,1982,2009)

	save "external databases\ippm_09_8209.dta", replace

	* END *
