	/*\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
	//                                             	   
    // Trade, Quality Upgrading and Input Linkages: A Theory with Evidence from Colombia (Cecilia Fieler, Marcela Eslava, Daniel Xu), August 2017*/

	/*\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
	//                                             	   
    // Construction of external databases
	//
	*\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/

    *>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  Program's Parameters <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	pause on
    set more off, perm
	clear
	clear matrix
	set mem 50m
	
	*======================================================
	*=MODIFY THE FOLLOWING PARAMETERS TO APPROPRIATE ROUTE=
	*========================================================
	
	cd "Y:\TC1_MARCELA ESLAVA\FEX_AER_programs"
	/* cd: change only "TC1_MARCELA ESLAVA" to your user. When you unzip the program folder to your user, the route must have been created*/ 
	
	global programs "building external databases"
	
	*===============================================================
	* Following program creates dataset "trade_sic3_DNP.dta"
	*===============================================================
	
	do "$programs/trade_sic3.do"

	*===============================================================
	* Following program creates dataset "ippm_09_8209.dta"
	*===============================================================
	
	do "$programs/IPPM_09 import.do"


