subroutine calc_obj3(x, obj)
    use parameters_model
	implicit none

	real(8), dimension(n3), intent(in) :: x
    real(8), intent(out) :: obj
    real(8), dimension(n) :: xall
    logical, parameter :: succ = .true.
    real(8) :: auxobj
    integer(4) :: j
        
    ! ======================================================================================
    ! recover parameters from x
    call xtoguess3(x)      
    
    ! moments and firm characteristics
    ! -----------------------------------------------------
    call firmout3
    call moments3(obj)
       
end subroutine calc_obj3


