clear

capture program drop _all

program define mergesum
	local i = 2
	while `i' <= `2' {
	clear
	insheet using `1'`i'.csv
	sort firm
	capture merge 1:1 firm using firms
	capture merge firm using firms
	assert _merge==3
	drop _merge
	sort firm
	save firms, replace
	local i = `i' + 1
	}
end

program define chgreal
	while "`1'" ~= "" {
	capture drop tempo
	capture gen tempo = 0.
	capture replace tempo = real(`1')
	capture replace tempo = `1'
	drop `1'
	rename tempo `1'
	mac shift
	}
	end

** read first file
insheet using `1'1.csv
sort firm
save firms, replace

** read and merge files firms1...`2'
mergesum `1' `2'

** convert variables into real if they are read as string
chgreal discreted posqomega hsales skillm skilla
describe

** label variables
label var hsales "domestic sales"
label var discreted "exit = 0, domestic = 1, import = 2, export = 3, imp & exp = 4"
label var posqomega "position of quality in grid (400)"

save firms, replace
