clear

capture program drop _all

program define mergesum
	local i = 2
	while `i' <= `2' {
	clear
	insheet using `1'`i'.csv
	sort quality
	capture merge 1:1 quality using summary
	capture merge quality using summary
	assert _merge==3
	drop _merge
	sort quality
	save summary, replace
	local i = `i' + 1
	}
end

** read first file
insheet using `1'1.csv
sort quality
save summary, replace

** read and merge files quality1...`2'
mergesum `1' `2'

** label variables
label var nq "mass of firms"
label var zq "z of representative firm"
label var quality "output quality"
label var skillq "skill intensity"

save summary, replace
