
use `1', clear


* adjust nq to add up to one (exclude exit)
egen tempo = sum(nq)
replace nq = nq/tempo
drop tempo
egen tempo = sum(nq)
assert tempo> 0.999999 & tempo < 1.00001


twoway line skill quality || scatter nq quality, yaxis(2)
pause "press q"

gen nqe = nq3+nq4
egen tnq1 = sum(nq1)
egen tnq2 = sum(nq2)
egen tnqe = sum(nqe)

replace nq1 = nq1/tnq1
replace nq2 = nq2/tnq2
replace nqe = nqe/tnqe

label var nq1 "distr. domestically-oriented firms"
label var nq2 "distr. importers"
label var nqe "distr. exporters"

* scatter nq1 nq2 nqe quality
* pause "press q"

exit
