subroutine calc_obj12(x, obj, succ)
    use parameters_model
	implicit none

	real(8), dimension(n12), intent(in) :: x
    real(8), intent(out) :: obj
    logical, intent(out) :: succ
    real(8), dimension(n1) :: inx1
    real(8), dimension(n2) :: inx2
    real(8), dimension(n) :: xall
    real(8) :: obj1, obj2
    integer(4) :: j
        
    ! ======================================================================================
    ! construct primitives from the economy--independent of equilibrium outcomes
    ! -----------------------------------------------------------------------------------
    succ = .false.
    
    inx1 = x(1:n1)
    inx2 = x(n1+1:n12)
    
    call calc_obj1(inx1, obj1, succ)
    call calc_obj2(inx2, obj2)
    obj = obj1 + obj2
    
    if(succ) then
        call x123toall(xall, inx1, inx2, xmin3)
        call print_result(xall, obj, succ, .true.)
    end if
   
end subroutine calc_obj12


