subroutine calc_obj2(x, obj)
    use parameters_model
	implicit none

	real(8), dimension(n2), intent(in) :: x
    real(8), intent(out) :: obj
    integer(4) :: j
    real(8), dimension(n) :: xall
        
    ! ======================================================================================
    ! recover parameters from x
    call xtoguess2(x)      
    
    ! moments and firm characteristics
    call firmout2
    call moments2(obj)
    
    ! print output
    call x123toall(xall, xmin1, x, xmin3)
    call print_result(xall, obj, .true., .true.)
    
end subroutine calc_obj2


