subroutine calc_obj3(x, obj)
    use parameters_model
	implicit none

	real(8), dimension(n3), intent(in) :: x
    real(8), intent(out) :: obj
    integer(4) :: j
    real(8), dimension(n) :: xall
            
    ! ======================================================================================
    ! recover parameters from x
    call xtoguess3(x)      
    
    ! moments and firm characteristics
    ! -----------------------------------------------------
    call firmout3
    call moments3(obj)
    
    ! print output
    ! -----------------------------------------------------
    call x123toall(xall, xmin1, xmin2, x)
    call print_result(xall, obj, .true., .true.)
    
end subroutine calc_obj3


