clear
pause on
global alpha = 0.3
global sigma = 5.
global markup = $sigma/($sigma-1)
global nfirms = 6710	 	/* number of firms to plot size x wages in joint_sw*/
**pause off

** general market analysis
do crsummary quality 5
do ansummary summary		/* plots quality choices and skill intensities */

** moments
do crfirms firm 2
do anfirms firms rt_manu_88	/* plots rank of wages and sales */
pause

** counterfactual
do crquality01 counterq 2
do anquality01 quality01
do crfirm01 counterf 5
do anfirms01 firm01
exit

exit
